{
  "schema": {
    "type": "struct",
    "fields": [
      {
        "type": "struct",
        "fields": [
          {
            "type": "string",
            "optional": false,
            "field": "uuid"
          },
          {
            "type": "string",
            "optional": true,
            "name": "io.debezium.time.ZonedTimestamp",
            "version": 1,
            "field": "created_at"
          },
          {
            "type": "string",
            "optional": true,
            "name": "io.debezium.time.ZonedTimestamp",
            "version": 1,
            "field": "updated_at"
          },
          {
            "type": "string",
            "optional": false,
            "field": "title"
          },
          {
            "type": "int32",
            "optional": false,
            "field": "toggle_offline_after_seconds"
          },
          {
            "type": "string",
            "optional": true,
            "field": "added_by_user"
          },
          {
            "type": "string",
            "optional": false,
            "default": "allocating",
            "field": "status"
          },
          {
            "type": "string",
            "optional": true,
            "name": "io.debezium.time.ZonedTimestamp",
            "version": 1,
            "field": "last_sensor_updated_at"
          },
          {
            "type": "string",
            "optional": false,
            "name": "io.debezium.data.Json",
            "version": 1,
            "field": "config"
          },
          {
            "type": "string",
            "optional": false,
            "field": "api_key_hash"
          }
        ],
        "optional": true,
        "name": "kursinis-user-devices-rest.kursinis_user_devices_rest.device.Value",
        "field": "before"
      },
      {
        "type": "struct",
        "fields": [
          {
            "type": "string",
            "optional": false,
            "field": "uuid"
          },
          {
            "type": "string",
            "optional": true,
            "name": "io.debezium.time.ZonedTimestamp",
            "version": 1,
            "field": "created_at"
          },
          {
            "type": "string",
            "optional": true,
            "name": "io.debezium.time.ZonedTimestamp",
            "version": 1,
            "field": "updated_at"
          },
          {
            "type": "string",
            "optional": false,
            "field": "title"
          },
          {
            "type": "int32",
            "optional": false,
            "field": "toggle_offline_after_seconds"
          },
          {
            "type": "string",
            "optional": true,
            "field": "added_by_user"
          },
          {
            "type": "string",
            "optional": false,
            "default": "allocating",
            "field": "status"
          },
          {
            "type": "string",
            "optional": true,
            "name": "io.debezium.time.ZonedTimestamp",
            "version": 1,
            "field": "last_sensor_updated_at"
          },
          {
            "type": "string",
            "optional": false,
            "name": "io.debezium.data.Json",
            "version": 1,
            "field": "config"
          },
          {
            "type": "string",
            "optional": false,
            "field": "api_key_hash"
          }
        ],
        "optional": true,
        "name": "kursinis-user-devices-rest.kursinis_user_devices_rest.device.Value",
        "field": "after"
      },
      {
        "type": "struct",
        "fields": [
          {
            "type": "string",
            "optional": false,
            "field": "version"
          },
          {
            "type": "string",
            "optional": false,
            "field": "connector"
          },
          {
            "type": "string",
            "optional": false,
            "field": "name"
          },
          {
            "type": "int64",
            "optional": false,
            "field": "ts_ms"
          },
          {
            "type": "string",
            "optional": true,
            "name": "io.debezium.data.Enum",
            "version": 1,
            "parameters": {
              "allowed": "true,last,false,incremental"
            },
            "default": "false",
            "field": "snapshot"
          },
          {
            "type": "string",
            "optional": false,
            "field": "db"
          },
          {
            "type": "string",
            "optional": true,
            "field": "sequence"
          },
          {
            "type": "string",
            "optional": true,
            "field": "table"
          },
          {
            "type": "int64",
            "optional": false,
            "field": "server_id"
          },
          {
            "type": "string",
            "optional": true,
            "field": "gtid"
          },
          {
            "type": "string",
            "optional": false,
            "field": "file"
          },
          {
            "type": "int64",
            "optional": false,
            "field": "pos"
          },
          {
            "type": "int32",
            "optional": false,
            "field": "row"
          },
          {
            "type": "int64",
            "optional": true,
            "field": "thread"
          },
          {
            "type": "string",
            "optional": true,
            "field": "query"
          }
        ],
        "optional": false,
        "name": "io.debezium.connector.mysql.Source",
        "field": "source"
      },
      {
        "type": "string",
        "optional": false,
        "field": "op"
      },
      {
        "type": "int64",
        "optional": true,
        "field": "ts_ms"
      },
      {
        "type": "struct",
        "fields": [
          {
            "type": "string",
            "optional": false,
            "field": "id"
          },
          {
            "type": "int64",
            "optional": false,
            "field": "total_order"
          },
          {
            "type": "int64",
            "optional": false,
            "field": "data_collection_order"
          }
        ],
        "optional": true,
        "name": "event.block",
        "version": 1,
        "field": "transaction"
      }
    ],
    "optional": false,
    "name": "kursinis-user-devices-rest.kursinis_user_devices_rest.device.Envelope",
    "version": 1
  },
  "payload": {
    "before": null,
    "after": {
      "uuid": "9ae3d147-db51-4bab-9783-5370547f90cf",
      "created_at": "2023-12-20T00:36:34Z",
      "updated_at": "2023-12-20T00:36:34Z",
      "title": "ESP32 Lite (Temperaturos ir dregmes matuoklis) su sensoriais",
      "toggle_offline_after_seconds": 5,
      "added_by_user": null,
      "status": "offline",
      "last_sensor_updated_at": "2024-04-11T14:46:53Z",
      "config": "{\"lamps\": [false, false]}",
      "api_key_hash": "$argon2id$v=19$m=65536,t=4,p=1$UkFyaE93VExOcEJHeUdoZw$42gGUJ4uCSANOYen1vJe7MkhBnOtzNgJbacwYvA+TPE"
    },
    "source": {
      "version": "2.5.1.Final",
      "connector": "mysql",
      "name": "kursinis-user-devices-rest",
      "ts_ms": 1714772412000,
      "snapshot": "true",
      "db": "kursinis_user_devices_rest",
      "sequence": null,
      "table": "device",
      "server_id": 0,
      "gtid": null,
      "file": "binlog.000023",
      "pos": 542,
      "row": 0,
      "thread": null,
      "query": null
    },
    "op": "r",
    "ts_ms": 1714772412351,
    "transaction": null
  }
}